DNSモニター
GET https://uptime4.com/api/dns-monitors/
curl --request GET \
--url 'https://uptime4.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: name, target. |
| is_enabled | オプション ブール値 | |
| project_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime, last_check_datetime, last_change_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: dns_monitor_id, datetime, last_datetime, last_check_datetime, last_change_datetime, total_checks, total_changes, name. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Sample",
"target": "example.com",
"dns": {
"A": [
{
"host": "example.com",
"ip": "12.12.12.12"
}
],
"CNAME": [],
"HINFO": [],
"CAA": [],
"MX": [],
...
},
"notifications": [1],
"settings": {
"dns_check_interval_seconds": 300
},
"total_checks": 1,
"total_changes": 0,
"last_check_datetime": "2024-01-03 01:48:42",
"next_check_datetime": "2024-01-03 01:49:13",
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-04-21 02:10:33",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/dns-monitors?page=1",
"last": "https://uptime4.com/api/dns-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/dns-monitors?page=1"
}
}
GET https://uptime4.com/api/dns-monitors/{dns_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Sample",
"target": "example.com",
"dns": {
"A": [
{
"host": "example.com",
"ip": "12.12.12.12"
}
],
"CNAME": [],
"HINFO": [],
"CAA": [],
"MX": [],
...
},
"notifications": [1],
"settings": {
"dns_check_interval_seconds": 300
},
"total_checks": 1,
"total_changes": 0,
"last_check_datetime": "2024-01-03 01:48:42",
"next_check_datetime": "2024-01-03 01:49:13",
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-04-21 02:10:33",
"last_datetime": null
}
}
POST https://uptime4.com/api/dns-monitors
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| target | 必須 文字列 | - |
| project_id | オプション 整数 | - |
| notifications | オプション 配列 | 通知ハンドラーID |
| dns_check_interval_seconds | オプション 整数 | 許可される値: 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| dns_types | オプション 配列 | 許可される値: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/dns-monitors/{dns_monitor_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| target | 必須 文字列 | - |
| project_id | オプション 整数 | - |
| notifications | オプション 配列 | 通知ハンドラーID |
| dns_check_interval_seconds | オプション 整数 | 許可される値: 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| dns_types | オプション 配列 | 許可される値: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/dns-monitors/{dns_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \